
Redmine - Feature #4806

Filter the issue list by issue ids

2010-02-11 15:55 - Andrea Salicetti

Status: Closed Start date: 2010-02-11

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed   

Description

It should be possible to filter by issue id (the # column).

Now (Redmine 0.9.2-devel) it is not.

Related issues:

Related to Redmine - Feature #22676: Static issue list URLs Closed

Related to Redmine - Defect #23596: Filter on issue ID with between/lesser/gr... Closed

Related to Redmine - Feature #19560: Add some option to export only selected ... Closed

Related to Redmine - Feature #19563: Filter Issues based on selected issues o... Closed

Related to Redmine - Feature #10259: Allow getting a list of issues by ID thr... Closed

Related to Redmine - Feature #33352: Enable inline issue autocomplete in issu... New

Related to Redmine - Feature #14125: Issue cherry picking Closed

Has duplicate Redmine - Feature #17997: Allow creation of custom issue lists ... Closed

Associated revisions

Revision 15371 - 2016-05-06 20:59 - Jean-Philippe Lang

Filter by issue id (#4806).

A shortcut is added to the context menu to filter the selected issues.

Revision 15372 - 2016-05-06 21:00 - Jean-Philippe Lang

Adds :button_filter to locales (#4806).

Revision 15373 - 2016-05-06 21:01 - Jean-Philippe Lang

Remove open issues filter in context menu shortcut (#4806).

History

#1 - 2010-02-11 20:26 - Jean-Philippe Lang

- Status changed from New to Closed

Type an issue id in the search field and hit enter.

#2 - 2011-03-29 08:52 - Victor Dulepov

- Status changed from Closed to Reopened

- Assignee set to Jean-Philippe Lang

Hello Jean-Philippe,

The search by number allows to find just one issue. How can we search or filter for multiple issue Ids'?

A typical scenario is "I've got a list of issue numbers, and want a list of these issues, with links etc.".

There's no filter for Issue Id on the Issues page, and entering multiple issue Ids into the Search does not bring the issues with the entered numbers.

Either an empty resultset, or a list of issues referring to these issues.

Example: trying to quickly get a list composed of this issue and the possibly related #6180 and #3627 : 

http://www.redmine.org/search/index/redmine?q=4806+6180+3627&scope=&issues=1&submit=Submit

Expected:
https://www.redmine.org/issues/6180
https://www.redmine.org/issues/3627
http://www.redmine.org/search/index/redmine?q=4806+6180+3627&scope=&issues=1&submit=Submit


1. entering multiple numbers in Search with All words unchecked searches also in issue Ids;  issues with exactly matching Ids are returned on top of

the list (i.e., before any "referring" issues). Maybe a separate checkbox "Search issue Ids"

2. a filter on the Issues page with appropriate operators (equals, not equals, is in list, is not in list - do I miss anything?). And a space- or

comma-separated list of issue Ids as the input field.

Let's elaborate this further if needed...Drop me a note.

#3 - 2011-03-29 09:21 - Etienne Massip

- Assignee deleted (Jean-Philippe Lang)

Please don't set assignee.

#4 - 2013-10-21 19:13 - Ilya Demenkov

+1 vote

#5 - 2013-12-03 16:54 - Y Z

+1

#6 - 2014-06-09 20:00 - Robert Hailey

+1, but modified...

Recently, I just ran across a situation where I needed to close a large number of errantly filed tickets. They all had sequential numbers, so I thought it

would be easy to bulk-close them...

issue >= X && issue <= Y

The other comments do not mention such range/bounds operations, which... AFAICS, would be the primary motivator for adding this as a search

criteria (esp. if a site was hit by a spambot, or something: X<issue

#7 - 2016-03-29 12:27 - Andreas Witt

From my point of view it would be usefull to filter by #, especally for documentation.

For testing I have to generate a list of fixed bugs for my testing team. When the test is done I need the list of all fixed items with the actualized status.

For this purpose a list of items selected by id would be verry helpfull because normaly the status of the ticket has been changed meanwhile.

#8 - 2016-05-06 19:02 - Jean-Philippe Lang

- Related to Feature #22676: Static issue list URLs added

#9 - 2016-05-06 21:02 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.3.0

- Resolution set to Fixed

Feature added. You can filter on one or multiple (using comma separated ids) issue ids, or by range.

#10 - 2016-05-21 09:07 - Jean-Philippe Lang

- Subject changed from Filter by issue id to Filter the issue list by issue ids

#11 - 2016-06-04 06:25 - Go MAEDA

- Category changed from Search engine to Issues filter

#12 - 2016-08-29 06:59 - Toshi MARUYAMA

- Related to Defect #23596: Filter on issue ID with between/lesser/greater operator does not work added

#13 - 2017-08-02 10:50 - Ivan Tsybanenko

Works fine in Redmine 3.3.3

Like this:

http://redmine.url/projects/project-name/issues?set_filter=1&status_id=*&issue_id=12345,12346,12347
#14 - 2019-04-07 15:39 - Go MAEDA

- Related to Feature #19560: Add some option to export only selected issues added

#15 - 2019-04-07 15:46 - Go MAEDA

- Related to Feature #19563: Filter Issues based on selected issues only. added

#16 - 2019-05-08 17:41 - Go MAEDA

- Related to Feature #10259: Allow getting a list of issues by ID through the API added

#17 - 2020-04-25 10:15 - Mischa The Evil

- Related to Feature #33352: Enable inline issue autocomplete in issue id query filter fields added

#18 - 2021-07-02 11:31 - Go MAEDA

- Related to Feature #14125: Issue cherry picking added

#19 - 2021-08-08 08:46 - Go MAEDA

- Has duplicate Feature #17997: Allow creation of custom issue lists (aka, "cherry pick" specific issues) added
